# Maven

The first thing to do is to add the dependency into your pom.xml file. The artifacts are hosted on Maven Central so no additional repositories should be required.

```xml
<dependencies>
    <dependency>
        <groupId>dev.sefiraat</groupId>
        <artifactId>SefiLib</artifactId>
        <version>[VERSION]</version>
        <scope>compile</scope>
    </dependency>
</dependencies>
```

Replace `[VERSION]` with the latest version of SefiLib, noted below.

[![Maven Central](https://img.shields.io/maven-central/v/dev.sefiraat/SefiLib?color=aa\&style=for-the-badge)](https://search.maven.org/search?q=SefiLib)

The library needs to be shaded into your plugin's jar.

```xml
<build>
    <plugins>
        <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-shade-plugin</artifactId>
            <version>3.3.0</version>
            <configuration>
                <relocations>
                    <relocation>
                        <pattern>dev.sefiraat.sefilib</pattern>
                        <shadedPattern>[YOUR_PACKAGE].sefilib</shadedPattern>
                    </relocation>
                </relocations>
                <filters>
                    <filter>
                        <artifact>*:*</artifact>
                        <excludes>
                            <exclude>META-INF/*</exclude>
                        </excludes>
                    </filter>
                </filters>
            </configuration>
            <executions>
                <execution>
                    <phase>package</phase>
                    <goals>
                        <goal>shade</goal>
                    </goals>
                </execution>
            </executions>
        </plugin>
    </plugins>xml
</build>
```

Replace `[YOUR_PACKAGE]` with the name of your plugin's package


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sefiraat.dev/sefilib/setup/maven.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
